Skip to content

Get Provider Regions

GET
/providers/{provider}/regions
curl --request GET \
--url 'https://api.mengi.cloud/providers/example/regions?check_availability=false'

Get available regions for a cloud provider. For Hetzner, optionally check real-time availability with check_availability=true. Regions disabled by admins are shown but marked as unavailable with a reason.

provider
required
Provider
string
check_availability
Check Availability
boolean

Successful Response

Media type application/json
Example generated
example

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}